import {
  ShoppingBagIcon,
  QuestionMarkCircleIcon,
  HomeIcon,
  BuildingStorefrontIcon,
  UsersIcon,
  BuildingLibraryIcon,
} from '@heroicons/react/24/outline';

const routes = [
  {
    path: '/',
    name: 'Dashboard',
    layout: '/',
    hidden: false,
    Icon: HomeIcon,
    roles: [
      'admin_user',
      'operation_user',
      'vendor_user',
      'sales_user',
      'garage_user',
      'product_user',
      'marketing_user',
      'logistics_user',
      'accounting_user',
    ],
  },
  {
    path: '/orders',
    name: 'Orders',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: [
      'admin_user',
      'vendor_user',
      'operation_user',
      'sales_user',
      'garage_user',
      'logistics_user',
      'accounting_user',
    ],
  },
  {
    path: '/order-receiving',
    name: 'Order Receiving',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['vendor_user', 'garage_user'],
  },
  {
    path: '/awaiting-dispatch',
    name: 'Awaiting Dispatch',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['vendor_user', 'sales_user', 'garage_user'],
  },
  {
    path: '/arrived-for-sorting',
    name: 'Arrived for Sorting',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'logistics_user'],
  },
  {
    path: '/invoicing',
    name: 'Invoicing Orders',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'accounting_user'],
  },
  {
    path: '/invoice-upload',
    name: 'Invoice Uploading',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'accounting_user'],
  },
  {
    path: '/for-delivery',
    name: 'For Delivery',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'logistics_user'],
  },
  {
    path: '/out-for-delivery',
    name: 'Out For Delivery',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'logistics_user'],
  },
  {
    path: '/products',
    name: 'Products',
    layout: '/',
    root: 'Product',
    hidden: false,
    Icon: ShoppingBagIcon,
    roles: ['admin_user', 'product_user', 'marketing_user'],
  },
  {
    path: '/products/create',
    name: 'Create Product',
    layout: '/',
    hidden: true,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'product_user', 'marketing_user'],
  },
  {
    path: '/products/:slug',
    name: 'View Product',
    layout: '/',
    hidden: true,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'product_user', 'marketing_user'],
  },
  {
    path: '/products/:slug/update',
    name: 'Update Product',
    layout: '/',
    hidden: true,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'product_user', 'marketing_user'],
  },
  {
    path: '/vendors',
    name: 'Vendors',
    layout: '/',
    hidden: false,
    Icon: BuildingLibraryIcon,
    roles: ['admin_user', 'marketing_user', 'product_user'],
  },
  {
    path: '/garages',
    name: 'Garages',
    layout: '/',
    hidden: false,
    Icon: BuildingStorefrontIcon,
    roles: ['admin_user', 'sales_user', 'accounting_user'],
  },
  {
    path: '/garages/:id',
    name: 'View Garage',
    layout: '/',
    hidden: true,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'sales_user', 'marketing_user'],
  },
  {
    path: '/garages/:id/update',
    name: 'Update Garage',
    layout: '/',
    hidden: true,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'sales_user', 'marketing_user'],
  },
  {
    path: '/users',
    name: 'Users',
    layout: '/',
    hidden: false,
    Icon: UsersIcon,
    roles: ['admin_user'],
  },
  {
    path: '/miscellaneous',
    name: 'Announcement & Banners',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'product_user', 'marketing_user'],
  },
  {
    path: '/banners',
    name: 'Popup Banners',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'product_user', 'marketing_user'],
  },
  {
    path: '/voucher',
    name: 'Vouchers',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'product_user', 'marketing_user'],
  },
  {
    path: '/productparent',
    name: 'Product Parent',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'product_user', 'marketing_user'],
  },
  {
    path: '/logistics',
    name: 'Logistics',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user', 'logistics_user'],
  },
  {
    path: '/quote-request',
    name: 'Quote Requests',
    layout: '/',
    hidden: false,
    Icon: QuestionMarkCircleIcon,
    roles: ['admin_user'],
  },
];

export default routes;
